package com.malk.service.dingtalk;

import java.time.LocalDate;
import java.util.Map;

public interface DDClient {

    /**
     * 获取访问授权
     */
    String getAccessToken();

    String getAccessToken(String appKey, String appSecret);

    /**
     * token授权参数: 旧版本
     */
    Map initTokenParams();

    /**
     * token授权参数: 新版本
     */
    Map initTokenHeader();

    /**
     * 获取js_ticket
     */
    String getJsApiTicket(String accessToken);

    /**
     * 通过免登码获取用户信息
     */
    Map getUserInfoByCode(String accessToken, String code);

    Map initTokenHeader_PJSS();


    Map getusergroup(String UserId);//获取用户考勤组

    Map inset_hr_group(String type,String UserId,String grupid);//把人员写入考勤组

    Map getleavestatus(String userid_list,long start_time,long end_time);// 询指定企业下指定用户在指定时间段内每天的请假状态和请假时长信息。

    Map getgroupquery(String op_user_id,String  group_id );//调用本接口，可获取考勤组名称、考勤组主负责人和考勤类型等信息。
    Map updateuploadss(String userid,String  device_name,String device_id,String user_check_time );//上传打卡记录。
    Map getupdatedata(String userid, LocalDate  work_date);//获取用户考勤数据
}

